POST api/particlecounterapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ParticleCounterViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| anatype_id | globally unique identifier |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| description | string |
None. |
|
| id | globally unique identifier |
None. |
|
| ip_address | string |
Required |
|
| particle_counter_type_id | globally unique identifier |
Required |
|
| site_id | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"anatype_id": "4eaed598-0941-42a3-97b9-c26ef0897083",
"cleanroom_id": "ed4a93d3-0f1c-4069-871d-0c6f93bb44eb",
"description": "sample string 3",
"id": "27306db4-31e5-458d-9720-8393d2d80b95",
"ip_address": "sample string 5",
"particle_counter_type_id": "48584a5b-7c33-40a5-b270-09f55a338a25",
"site_id": "de8aa2d6-24c6-4f0c-a7e3-61ba67a35482"
}
application/xml, text/xml
Sample:
<particle_counter xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <anatype_id>4eaed598-0941-42a3-97b9-c26ef0897083</anatype_id> <cleanroom_id>ed4a93d3-0f1c-4069-871d-0c6f93bb44eb</cleanroom_id> <description>sample string 3</description> <id>27306db4-31e5-458d-9720-8393d2d80b95</id> <ip_address>sample string 5</ip_address> <particle_counter_type_id>48584a5b-7c33-40a5-b270-09f55a338a25</particle_counter_type_id> <site_id>de8aa2d6-24c6-4f0c-a7e3-61ba67a35482</site_id> </particle_counter>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"944c7840-394c-4c1d-8c89-414e8c2f44f4"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">944c7840-394c-4c1d-8c89-414e8c2f44f4</guid>